// (c) MIT 2003.  All rights reserved.

// $Id: RemoveLitterTransition.java,v 1.4 2003/03/06 00:40:39 moltmans Exp $
// Time-stamp: <2000-03-11 18:59:36 moltmans>
package rec.sys;


import java.util.*;

public class RemoveLitterTransition extends DoTransition
{
  private Widget m_Widget;
  private WidgetSet m_WidgetSet;

  public RemoveLitterTransition( Surface s, Widget w )
  {
    super( s );
    m_Widget = w;
  }

  public void doDo()
  {
    m_WidgetSet = m_Widget.hackSetLitter( null );
  }

  public void doUndo()
  {
    m_Widget.hackSetLitter( m_WidgetSet );
  }

  public String getAction()
  {
    return ( "dissolves " + m_Widget + "'s litter" );
  }

}
